slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosGetKSP

Retrieve the linear solver object (KSP) associated with the SVD solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetKSP(SVD svd,KSP *ksp)

Collective

### Input Parameter

| svd | - SVD solver

### Output Parameter

| ksp | - the linear solver object

### See Also

SVDTRLanczosSetKSP()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c

### Examples

src/svd/tutorials/ex51.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages